Bug 691761 - Multiple duplex copies are not correctly separated
Multiple duplex copies are not correctly separated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-29 08:19 EDT by Tim Waugh
Modified: 2012-08-07 12:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2011-03-29 08:19:35 EDT
Description of problem:
When trying to print 2 collated duplexed copies of a 3-page document, I get incorrect output.  Printing the exported PDF directly through CUPS or via Evince gives correct output.

Version-Release number of selected component (if applicable):
libreoffice-writer-3.3.2.2-2.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
Open the attached file and print to a printer that can duplex.  Here's how I did it:
1.Connect an HP DeskJet 990Cxi to the USB port and wait for the notification that the printer has been added
2.Now, run system-config-printer, double-click on the printer icon, go to Installable Options and check the 'Duplexer Installed' check-button, then click OK.
3.Finally, open the attached file using libreoffice and choose File->Print
4.Select the printer.
5.Select All pages, set Number of copies to 3, and make sure Collate is selected.
6.Click Properties.
7.In the Device tab, select Duplexer Installed and make sure the value is Installed (set it to that if not)
8.In the Paper tab, select the Duplex option 'Long Edge (Standard)'.
9.Click OK, then click Print

Actual results:
3 sheets of paper:

Sheet 1: Page 1 on front, page 2 on back
Sheet 2: page 3 on front, page 1 on back
Sheet 3: page 2 on front, page 3 on back

Expected results:
4 sheets of paper:
Sheet 1: Page 1 on front, page 2 on back
Sheet 2: page 3 on front, blank on back
Sheet 3: as sheet 1
Sheet 4: as sheet 2

Additional info:
Just send the document to CUPS with the copies option set to 2 rather than generating copies inside the application.  This will ensure that multiple copies are handled correctly when duplexing.
Comment 1 Caolan McNamara 2011-04-04 11:32:26 EDT
caolanm->dtardon: everytime I touch printing something horrible goes wrong, mostly because I don't have access to enough printers to test collation and the link.

Still of the opinion to get the gtk print dialog up and running and pour our ps/pdf into it and let it do what it wants with it and heap all blame afterwards on it.
Comment 2 Jim 2011-12-18 22:14:15 EST
You can get around it by going to the option tab and selecting the "create single print jobs' option.
Comment 3 Fedora End Of Life 2012-08-07 12:09:56 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.